%define ver	5.0
%define rel	1

Summary: Emacs Speaks Statistics
Name: ESS
Version: %ver
Release: %rel
Source0: ftp://franz.stat.wisc.edu/pub/ESS/ESS-5.0.tar.gz
Patch0: ESS-fixes.patch
Patch1: ESS-redhat.patch
Copyright: GPL
Group: Development/Tools
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
URL: http://www.stat.math.ethz.ch/ESS/
BuildRoot: /var/tmp/ESS-root
Requires: emacs >= 19.29

%description
ESS (Emacs Speaks Statistics) provides a common, generic and useful
interface to many statistical packages through Emacs. It currently has
interfaces to S, R, XLisp-Stat, and SAS, with other statistical languages
such as Stata, SPSS, and Fiasco slated for implementations in the future.

%prep
%setup 
chmod --recursive u+w *
%patch0 -p1
%patch1 -p1

%build
make

%install
make install
gzip ${RPM_BUILD_ROOT}/usr/info/ess.info*

%files 
%defattr(-, root, root)
/usr/share/emacs/site-lisp/ESS
/usr/info/ess.info.gz
/usr/info/ess.info-1.gz
/usr/info/ess.info-2.gz
/usr/info/ess.info-3.gz
%doc ChangeLog COPYING README README.S README.SAS README.XLispStat
%doc Doc html

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
   cd /usr/share/emacs/site-lisp
   echo "Adding ESS to "`pwd`"/default.el"

   touch default.el
   echo "(load \"ESS/ess-site\")" | cat default.el - > tmp.el
   mv tmp.el default.el
fi

%postun
cd /usr/share/emacs/site-lisp
if [ $1 = 0 -a -f default.el ]; then

   echo "Removing ESS from "`pwd`"/default.el"
   cp default.el tmp.el
   sed -e "/(load \"ESS\/ess-site\")/D" tmp.el > default.el
   rm -f tmp.el

   if [ ! -s default.el ]; then
      echo "Removing empty default.el"
      rm -f default.el
   fi
fi
	
%changelog
